Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234725 - wireless-tools needs updated version
Summary: wireless-tools needs updated version
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: wireless-tools
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-31 21:47 UTC by ericm24x7
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-01 02:27:37 UTC


Attachments (Terms of Use)

Description ericm24x7 2007-03-31 21:47:03 UTC
Description of problem:
running "iwlist" command gives the following warning:

Warning: Driver for device wmaster0 has been compiled with version 22
of Wireless Extension, while this program supports up to version 20.
Some things may be broken...

Version-Release number of selected component (if applicable):
wireless-tools.x86_64 1:28-1.fc6

How reproducible:
persistent

Steps to Reproduce:
1. run the following command:
      iwlist scanning

Comment 1 ericm24x7 2007-03-31 21:52:59 UTC
I forgot to mention the wireless driver that was installed:
     zd1211rw_mac80211, rc80211_simple
The summary should have been:
    wireless driver installed needs an updated version of wireless-tools



Comment 2 Christopher Aillon 2007-04-01 02:27:37 UTC
Sounds like you're using a third party driver which is built against a beta test
version of wireless tools.  28 is the latest released version.

Not really a bug in fedora.  If your driver still works, then I'd simply say
ignore it.  Else, try and manually rebuild your driver against the wireless
tools in Fedora.

Comment 3 ericm24x7 2007-04-02 16:41:32 UTC
I'm pulling from rawhide build (3.31.07) and the wireless driver is already
build into the kernel, with the exception of user space firmware taken from
   http://deine-taler.de/zd1211/snapshots/zd1211rw_fw_2007-03-31

Anyway, the wireless driver is functional so far. 



Note You need to log in before you can comment on or make changes to this bug.